Resolve a stable workflow key or create a workflow.
curl --request POST \
--url https://api.example.com/v1/workflows/resolve-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/resolve-or-create"
payload = {
"key": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', title: '<string>'})
};
fetch('https://api.example.com/v1/workflows/resolve-or-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Workflows and Nodes
POST /v1/workflows/resolve-or-create
POST
/
v1
/
workflows
/
resolve-or-create
Resolve a stable workflow key or create a workflow.
curl --request POST \
--url https://api.example.com/v1/workflows/resolve-or-create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"key": "<string>",
"title": "<string>"
}
'import requests
url = "https://api.example.com/v1/workflows/resolve-or-create"
payload = {
"key": "<string>",
"title": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({key: '<string>', title: '<string>'})
};
fetch('https://api.example.com/v1/workflows/resolve-or-create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"ok": true
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"ok": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Resolve or create a caller-owned workflow by stable key. This compatibility
route is for older or intentionally local-only workspaces. New workspace
initialization should list competition workflows first, then use the
create-from-manifest route for a separate workflow or bind an explicitly
selected workflow.
Authorizations
droydApiKeyBearerdroydApiKeyHeader
A Droyd API key in the Authorization Bearer slot.
Body
application/json
Response
Successful response.
Was this page helpful?
